Author Topic: Anynews für WB-Version 2.12.2 r379  (Read 12356 times)

Offline yeha2

  • Posts: 13
Anynews für WB-Version 2.12.2 r379
« on: August 20, 2019, 10:29:34 AM »
Hallo liebe Leute! Weiß jemand, ob es ein ähnliche Modul wie Anynews (oder eine funktionierende Version) für  WB-Version 2.12.2 r379 gibt?
Wo man gekürzte Neuigkeiten aus den News auslesen (parsen) kann?
In der aktuellen Version sagt das Modul
 Anynews benötigt Website Baker 2.7 oder höher.
Möglicherweise, weil es mit der Version 2.12.2 r379 nicht mehr geht.
Wenn da irgendjemand ne Info für mich hat ... wäre dankbar für jeden Hinweis!  :wink:


Offline Gast

  • Posts: 5920
Re: Anynews für WB-Version 2.12.2 r379
« Reply #1 on: August 20, 2019, 10:38:27 AM »
läuft bei mir ohne Probleme auf einer Domain, allerdings ist das noch keine WB 2.12.2, sondern eine WB 2.12.1 und Anynews ist da seit jahren installiert.
Vielleicht ein Problem mit dem Installer?

Offline evaki

  • Posts: 2810
Re: Anynews für WB-Version 2.12.2 r379
« Reply #2 on: August 20, 2019, 10:50:08 AM »
Nein, ich häng' mich nicht rein  :-D 
Versionsinfo käme aber gut.

Ach ja, wieso erhalte ich bei der Suche mit "Anynews" in add-ons nur: "0 add-on found" ?
Da kommt nicht nur bei mir kein Spaß auf.

MfG. Evaki

Offline dbs

  • Betatester
  • **
  • Posts: 8144
  • Gender: Male
  • tioz4ever
    • WebsiteBaker - jQuery-Plugins - Module - Droplets - Tests
Re: Anynews für WB-Version 2.12.2 r379
« Reply #3 on: August 20, 2019, 11:00:44 AM »
@yeha2: such mal im forum nach cwsoft-anynews (falls du noch das alte anynews benutzt).

Offline Gast

  • Posts: 5920
Re: Anynews für WB-Version 2.12.2 r379
« Reply #4 on: August 20, 2019, 11:26:44 AM »
@yeha2: oben zitierte Fehlermeldung ist in meiner Version 2.10.0 nicht enthalten. 2.10.0 war meines Wissens die letzte offizielle Version des Moduls, bevor CWSoft das Projekt dann für ein paar Jahre eingemottet hatte. Etwas Älteres solltest du nicht verwenden.

Einige Versionen verwenden eine Datei namens precheck.php. Mit deren Hilfe erfolgte früher ein Vorab-Check vor der Installation, im Falle von Anynews über die WB-Versionsnummer, die PHP-Versionsnummer und das Vorhandensein des News-Moduls.

Meine Version , die "cwsoft-anynews" heißt, läßt sich in dieser Form nicht mehr über den Installer unter WB2.12.2 installieren, weil der Bindestrich mittlerweile nicht mehr erlaubt ist, sollte aber m.E. über FTP und Neu Laden der Erweiterungen möglich sein.

Offline yeha2

  • Posts: 13
Re: Anynews für WB-Version 2.12.2 r379
« Reply #5 on: August 20, 2019, 12:17:44 PM »
also, das welches die Meldung

 Anynews benötigt Website Baker 2.7 oder höher.

ausgibt ist das hier:

Name:    Anynews (displayNewsItems)
Art:    Funktionserweiterun g
Autor:    Christian Sommer (doc)
Version:    1.16a
Entworfen für:    Website Baker 2.7
Beschreibung:    Die Zusatzfunktion Anynews erlaubt das anzeigen von Beiträgen des News-Moduls auf beliebigen Seiten. Die Funktion kann im Template oder von einer Seite/Abschnitt des Typs Code aufgerufen werden. Weitere Informationen finden sich in der README Datei.

dann habe ich jetzt mal  cwsoft-anynews per ftp hochgeladen und die module über ERWEITERT neu geladen nimmt er nicht an.

dann aber diesen Trick beim alten anynews 1.16a mal rein gehauen:
https://forum.WebsiteBaker.org/index.php?topic=30279.0
und das funktioniert jetzt wieder irgendwie!

 

postern-length